package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.util.List;

/**
 * 概率统计-电量指标返回
 *
 */
public class ElectricDataInfoVo {

    /**
     * 显示时间单位
     */
    private String unit;

    /**
     * 总充电量
     */
    private BigDecimal totalChargedCap;

    /**
     * 总放电量
     */
    private BigDecimal totalDisChargedCap;

    /**
     * 综合效率 = 放电量/充电量
     */
    private BigDecimal efficiency;

    /**
     * 按天放电统计
     */
    private List<SiteMonitorDataVo> sevenDayDisChargeStats;

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public BigDecimal getTotalChargedCap() {
        return totalChargedCap;
    }

    public void setTotalChargedCap(BigDecimal totalChargedCap) {
        this.totalChargedCap = totalChargedCap;
    }

    public BigDecimal getTotalDisChargedCap() {
        return totalDisChargedCap;
    }

    public void setTotalDisChargedCap(BigDecimal totalDisChargedCap) {
        this.totalDisChargedCap = totalDisChargedCap;
    }

    public BigDecimal getEfficiency() {
        return efficiency;
    }

    public void setEfficiency(BigDecimal efficiency) {
        this.efficiency = efficiency;
    }

    public List<SiteMonitorDataVo> getSevenDayDisChargeStats() {
        return sevenDayDisChargeStats;
    }

    public void setSevenDayDisChargeStats(List<SiteMonitorDataVo> sevenDayDisChargeStats) {
        this.sevenDayDisChargeStats = sevenDayDisChargeStats;
    }
}
